gsasl_callback_hook_set(3)

NAME
gsasl_callback_hook_set - API function

SYNOPSIS
#include <gsasl.h>

void gsasl_callback_hook_set(Gsasl * ctx, void * hook);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

void * hook
    opaque pointer to application specific data.

DESCRIPTION
Store application specific data in the libgsasl handle. The application data can be later (for instance, inside a callback) be retrieved by calling gsasl_callback_hook_get(). This is normally used by the application to maintain a global state between the main program and callbacks.

SINCE
0.2.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU SASL home page: http://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2019 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gsasl/manual/